#include "call EXE.h"
#include <ansi_c.h>
#include <cvirte.h>		
#include <userint.h>
#include "test.h"

static int panelHandle;

int main (int argc, char *argv[])
{
	if (InitCVIRTE (0, argv, 0) == 0)
		return -1;	/* out of memory */
	if ((panelHandle = LoadPanel (0, "test.uir", PANEL)) < 0)
		return -1;
	if (argc > 1 && !(strcmp(argv[2],"full")))
	{
		int height,width,monitor;
		SetPanelAttribute (panelHandle, ATTR_LEFT, 0);
		SetPanelAttribute (panelHandle, ATTR_TOP, 0);
		GetMonitorFromPanel (panelHandle,&monitor );
		GetMonitorAttribute (monitor, ATTR_HEIGHT, &height);
		GetMonitorAttribute (monitor, ATTR_WIDTH, &width);
		SetPanelSize (panelHandle, height, width);
	}
	DisplayPanel (panelHandle);
	RunUserInterface ();
	DiscardPanel (panelHandle);
	return 0;
}

int CVICALLBACK QuitCallback (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			QuitUserInterface (0);
			break;
	}
	return 0;
}

int CVICALLBACK testCallBack (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			MessagePopup("","test");
			break;
	}
	return 0;
}
